body {
	background-color: #DFD8CE;

	/*overflow: hidden;*/
  
	display: flex;
	justify-content: center;
	align-items: center;  
  
	--bodymargin : 20px;
	/*
	--wContent: calc(100vw - 2*var(--bodymargin));
	--hContent: calc(100vh - 2*var(--bodymargin));*/
  
	margin:0;
	padding:0;
	height:100vh;
	/*background:url(noise.svg);*/

	font-family: -apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif;
  }
  
  

  
  body,html{
  -webkit-user-drag: none;
  touch-action: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  outline: none;
  
  }
  
  #mycanvas2.hidden{
	display: none
  
  }
  
  .hidden{
	animation: fadeOut 0.5s ease-out;
  
  }
  
  
  @keyframes fadeOut {
	0% {
  
		opacity: 1;
	}
  
  
	100% {
	
		opacity: 0.25;
	}
  }

  #msg{
	
	font-size: 0.675rem;
	font-weight: 500;
	color: rgba(0, 0, 0, 0.4);
	text-align: center;
  }
  
  #container
  {
   /*display : inline-block;*/
   display:grid;
	
  }
  
  .loader-container {
	position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index:9999;
  
  background-color: rgba(255,255,255,0.6);

  font-weight:600;
  padding:0.5em 1.5em;
  border-radius:50px;
  font-size:0.875rem;
  }
  
  
  svg,canvas
  {
	grid-column: 1/1;
	grid-row: 1/1;
	display: block;
	max-width: 90vw;
	height: auto;
	max-height:90vh;
	width: auto;
  
	/*order*/
   /* box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.1);*/
  /* background-color: #eee;
	padding: 32px;*/
  }
  
  .shadow{
	box-shadow: 0 1px 6px rgb(0 0 0 / 6%), 4px 32px 32px rgb(0 0 0 / 16%), 8px 50px 64px rgb(0 0 0 / 35%);
  }
  
  
  
  @keyframes rotation {
	from {
	  transform: rotate(0deg);
	}
	to {
	  transform: rotate(359deg);
	}
  }
  
  
  
  
  #debug{
	position:fixed;
	left:20px;
	bottom:20px;
	background-color: #fff;
	color:#000;
	padding:10px;
	display: none;
  
  }




  .container {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	flex-direction: column;
  }


  
  .menu ul {
	list-style-type: none;
	padding: 0;
	margin: 0;
	display: flex;
	flex-direction: column; /* Adjusts the menu to be vertical */
	align-items: center;
  }
  
  .menu li {
	margin: 10px 0; /* Adds vertical spacing between menu items */
  }
  
  .menu li a {
	text-decoration: none;
	color: #000;
	padding: 8px 16px;

	border-radius: 50px;
	font-size: 0,875rem; /* Adjust the font size to your preference */
	box-shadow: 0 0 12px rgba(0, 0, 0, 0.1);
  }
  
  .menu li a:hover {
	background-color: #000;
	color: #fff;
  }

   /* justify the progress bar the same width as the canvas and just below */
   .progress-bar {
	width: 100%;
	height: 4px;
	background-color: #000;
	margin-top: 5px;
	align-self: flex-start;
  }
#menu {
	display: flex;
	justify-content: center;
	margin-top: 20px;
	flex-wrap: wrap;
}

#mycanvas {
	position: relative;
	z-index: 1;
}

.menu-options {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
}

#menu button {
/*	border: 2px solid #000; /* Black */
	color: #000; /* Black */
	padding: 15px 32px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	margin: 4px 6px;
	cursor: pointer;
	transition-duration: 0.4s;
	/* flex: 1 0 auto;*/
	min-width: 100px;
	
	border-radius: 50px;
	text-decoration: none;
	color: #000;
	padding: 8px 16px;
	border: 1px solid rgba(0, 0, 0, 0.3);


	font-size: 0.8125rem; 
	font-weight: 600;

	background-color: transparent;
	position: relative;
	z-index: 2;
}

#menu button.menu-0{
	border-radius: 50px 0 0 50px;
	border-right: none;
	margin-right:0;
	margin-left:0;
}
#menu button.menu-1{
	border-radius:0;
	border-right: none;
	margin-right:0;
	margin-left:0;
}

#menu button.menu-2{
	border-radius: 0 50px 50px 0;
	margin-left:0;
}

#menu button:hover {
	background-color: #000; /* Black */
	color: #fff; /* White */
}

#menu p {
	text-align: center;
	color: #000; /* Black */
	font-size: 14px;
	margin-top: 10px;
}



/* Responsive buttons for screens smaller than 600px */
@media (max-width: 900px) {
	#menu button {
		padding: 4px 10px;
		font-size: 12px;
	}
}




